package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum WorkmanPerformTypeEnum {
    市政务服务大厅窗口考核登记表(1, "市政务服务大厅窗口考核登记表"),
    市政务服务大厅窗口工作人员考核汇总表(2, "市政务服务大厅窗口工作人员考核汇总表");
    private Integer value;
    private String desc;

    WorkmanPerformTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static WorkmanPerformTypeEnum getByValue(Integer value) {
        for (WorkmanPerformTypeEnum processStatusEnum : WorkmanPerformTypeEnum.values()) {
            if (processStatusEnum.getValue() == value) {
                return processStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (WorkmanPerformTypeEnum item : WorkmanPerformTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}